﻿using System.Web;
using System.Web.Optimization;


namespace MapResizing
{
    public class BundleConfig
    {
        // For more information on Bundling, visit http://go.microsoft.com/fwlink/?LinkId=254725
        public static void RegisterBundles(BundleCollection bundles)
        {
            bundles.Add(new ScriptBundle("~/bundles/jquery").Include(
                       "~/Scripts/jquery-{version}.js"
                              //"~/Scripts/json2.min.js",
                              //"~/Scripts/jquery-ui-{version}.js",
                              //"~/Scripts/KendoUI/kendo.web.js",
                              //"~/Scripts/jQueryKendoExtensions.js",
                              //"~/Scripts/KendoUI/kendo.web.custom.js",
                              //"~/Scripts/commonDateAndTime.js",
                              //"~/Scripts/commonGridModelValidation.js",
                              //"~/Scripts/commonHTMLControls.js",
                              //"~/Scripts/commonKendo.js",
                              //"~/Scripts/commonLoading.js",
                              //"~/Scripts/common.js",
                              //"~/Scripts/commonGrid.js"
                              ));


            //bundles.Add(new ScriptBundle("~/bundles/jqueryval").Include(
            //            "~/Scripts/jquery.unobtrusive-ajax.js",
            //            "~/Scripts/jquery.validate.js",
            //            "~/Scripts/jQuery.validate.KendoExtensions.js",
            //            "~/Scripts/jQuery.validate.unobtrusive.js"
            //            ));


            bundles.Add(new ScriptBundle("~/bundles/mapsuite").Include(
                "~/Scripts/Mapping/MapSuite/opl_GeoResource.axd.js",
                "~/Scripts/Mapping/MapSuite/extension_GeoResource.axd.js",
                "~/Scripts/Mapping/MapSuite/helper_GeoResource.axd.js",
                "~/Scripts/Mapping/MapSuite/parser_GeoResource.axd.js",
                "~/Scripts/Mapping/MapSuite/func_GeoResource.axd.js",
                "~/Scripts/Mapping/MapSuite/cm_GeoResource.axd.js",
                "~/Scripts/Mapping/MapSuite/msajax_GeoResource.axd.js"
                ));

            // Use the development version of Modernizr to develop with and learn from. Then, when you're
            // ready for production, use the build tool at http://modernizr.com to pick only the tests you need.
            //bundles.Add(new ScriptBundle("~/bundles/modernizr").Include(
            //            "~/Scripts/modernizr-*"));

            //bundles.Add(new StyleBundle("~/Content/css").Include(
            //          "~/Content/site.css",
            //          "~/Content/KendoUI/kendo.common.css",
            //          "~/Content/CustomKendo.css"));

            //bundles.Add(new StyleBundle("~/Content/themes/base/css").Include(
            //          "~/Content/themes/base/jquery.ui.core.css",
            //          "~/Content/themes/base/jquery.ui.resizable.css",
            //          "~/Content/themes/base/jquery.ui.selectable.css",
            //          "~/Content/themes/base/jquery.ui.accordion.css",
            //          "~/Content/themes/base/jquery.ui.autocomplete.css",
            //          "~/Content/themes/base/jquery.ui.button.css",
            //          "~/Content/themes/base/jquery.ui.dialog.css",
            //          "~/Content/themes/base/jquery.ui.slider.css",
            //          "~/Content/themes/base/jquery.ui.tabs.css",
            //          "~/Content/themes/base/jquery.ui.datepicker.css",
            //          "~/Content/themes/base/jquery.ui.progressbar.css",
            //          "~/Content/themes/base/jquery.ui.theme.css"));

            //BundleTable.EnableOptimizations = true;
        }

    }
}